#include "StdAfx.h"
#include "Kontakt.h"


Kontakt::Kontakt(void)
{
   anzahl++;
}

Kontakt::Kontakt(String^ name, String^ str, String^ postleitzahl,
                 String^ ort, String^ telnr, String^ telnrmobil, String^ email)
{
   this->name = name;
   this->str = str;
   this->plz = postleitzahl;
   this->ort = ort;
   this->tel = telnr;
   this->telmobil = telnrmobil;
   this->email = email;
   anzahl++;
}

String^ Kontakt::Name::get()
{
   return name;
}

void Kontakt::Name::set(String^ name)
{
   this->name = name;
}

String^ Kontakt::STR::get()
{
   return str;
}

void Kontakt::STR::set(String^ str)
{
   this->str = str;
}

String^ Kontakt::PLZ::get()
{
   return plz;
}

void Kontakt::PLZ::set(String^ postleitzahl)
{
   plz = postleitzahl;
}

String^ Kontakt::Ort::get()
{
   return ort;
}

void Kontakt::Ort::set(String^ ort)
{
   this->ort = ort;
}

String^ Kontakt::Tel::get()
{
   return tel;
}

void Kontakt::Tel::set(String^ telnr)
{
   tel = telnr;
}

String^ Kontakt::Telmobil::get()
{
   return telmobil;
}

void Kontakt::Telmobil::set(String^ telnr)
{
   telmobil = telnr;
}

String^ Kontakt::Email::get()
{
   return email;
}

void Kontakt::Email::set(String^ email)
{
   this->email = email;
}

int Kontakt::Anzahl::get()
{
   return anzahl;
}